Skip to content

Upload an evidence attachment for one of the caller's support tickets.

POST
/v1/support/{id}/attachments
curl --request POST \
--url https://api.share2.us/v1/support/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/attachments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@file
id
required
string format: uuid
Media typemultipart/form-data
object
file
required

Txt, log, md, pdf, png, jpg/jpeg, or zip; 5 MB maximum.

string format: binary

Attachment stored.

Media typeapplication/json
object
attachment
required
object
id
required
string format: uuid
ticket_id
string format: uuid
message_id
string format: uuid
uploader_type
required
string
Allowed values: user support system
file_name
required
string
<= 180 characters
content_type
required
string
Allowed values: text/plain text/markdown application/pdf image/png image/jpeg application/zip
size_bytes
required
integer
<= 5242880
created_at
required
string format: date-time
Example
{
"attachment": {
"uploader_type": "user",
"content_type": "text/plain"
}
}

Standard error envelope.

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{
"error": {
"code": "quota_exceeded"
}
}